# Nix Flake outputs size

Use `nix path-info` to query the size of flake outputs and produce a markdown report.

You can post this report as a comment to the PR associated with the current branch and/or export the report as a markdown artifact.

Requires `nix`, `jq`, `curl`, `sed` and `coreutils` to be in path.

## Usage

```yaml
- name: Generate size report
  uses: https://git.salame.cl/jalil/nix-flake-outputs-size@main
  with: # Default values
    comment-on-pr: 'true'
    generate-artifact: 'false'
    artifact-name: 'size-report.md'
```

For more details see the [action.yaml](./action.yml) file.
